LINUX.ORG.RU

Ubuntu 10.04, Libreoffice, Сломанные пакеты

 ,


0

0

Добрый вечер ЛОР.
Поставил сабж на старый ноут, решил снести ОО и поставить Либру, делал все по wiki бубунты и словил вот такую проблему:

rainx@rainx-laptop:~$ sudo apt-get install libreoffice
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
  libreoffice: Зависит: libreoffice-core (= 1:3.5.4-0ubuntu1~lucid1) но он не будет установлен
               Зависит: libreoffice-writer но он не будет установлен
               Зависит: libreoffice-calc но он не будет установлен
               Зависит: libreoffice-impress но он не будет установлен
               Зависит: libreoffice-draw но он не будет установлен
               Зависит: libreoffice-math но он не будет установлен
               Зависит: libreoffice-base но он не будет установлен
               Зависит: libreoffice-filter-mobiledev но он не будет установлен
               Зависит: libreoffice-java-common (>= 1:3.5.4~) но он не будет установлен
               Рекомендует: libreoffice-gnome но он не будет установлен или
                                       libreoffice-kde но он не будет установлен
E: Сломанные пакеты
Гугл толком не помог, есть идеи как чинить ?

Нагуглил похожий тред:

http://forum.ubuntu.ru/index.php?topic=133620.0

Но там автор пытается снести установленный libreoffce и поставить заново openoffice

Ошибки вроде похожие

Прочтите последнее сообщение в той теме и посмотрите установлен ли у вас пакет uno-libs3 (1.6.0+OOo3.2.0-7ubuntu4.4) (если установлен, то удалите)

anonymous ()
Ответ на: комментарий от Neverhex

Всегда рад помочь. На будущее - у aptitude неплохой разрешатель конфликтов, в отличии от apt-get не имеющего его(apt-get просто сносит всё по прямым указаниям в завсимостях).

Поставьте пожалуйста статус «решено».

madarexxx ()
Ответ на: комментарий от madarexxx

Поставил сразу после написания предыдущего сообщения :3

Neverhex ()

Спасибо за решение. Мне тоже помогло.

root23 ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.